/*------------------------------------*\
  icons
\*------------------------------------*/

.icon,
a.icon {
  display: block;
  width: 24px;
  height: 24px;
  border: none;
  padding: 0;
  font-size: 0;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
  background-color: $base-color;
}

@each $name in 'chat' 'facebook' 'instagram' 'twitter' 'mixcloud' 'mail' 'soundcloud' 'bandcamp' 'url' {
  .icon--#{$name} {
      background-image: url('images/icon-#{$name}.svg');
  }
}
